/*
 * New editor name:  tde, the Thomson-Davis Editor.
 * Author:           Frank Davis
 * Date:             June 5, 1991
 *
 */


struct screen macro_screen[] = {
 {1,0,"This utility reads an existing macro file.  The file must exist" },
 {2,0,"before running this utility.  If you create a few favorite macros" },
 {3,0,"in tde and save them to a file, you may use this utility to store" },
 {4,0,"them in tde.exe, so that those macros will be available each time" },
 {5,0,"you use tde.  Otherwise, you will have to create the macros or load"},
 {6,0,"in the macros each time you use tde." },
{10,20,"1. Install a macro file."},
{12,20,"2. Exit"},
{14,15,"Please enter your choice: "},
{0,0,NULL}
};

#define MAX_KEYS           256
#define STROKE_LIMIT      1024  /* number of key strokes in playback buffer */

/*
 * From the source code of tde.
 */


typedef struct {
  int key;      /* key assinged to this node, which may be text or function */
  int next;     /* pointer to next node in macro def */
} STROKES;

/*
 * structure for the macro buffer.
 */
typedef struct {
   int  first_stroke[MAX_KEYS];         /* pointer to first key in macro */
   STROKES strokes[STROKE_LIMIT];       /* buffer to hold key strokes */
} MACRO;


